PRINT N'Altering Procedure [dbo].[GetIntent]...';


GO
--exec [GetIntent] 'allegro','test0'
ALTER PROCEDURE [dbo].[GetIntent] (
	@VCC Varchar(50) = NULL, @Name Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[Name]						    'name',
		[IntentId]						'intentId',
		[Color]							'color',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Intent] (NOLOCK)
	WHERE [VCC] = CASE WHEN ISNULL(@VCC, '') = '' THEN [VCC] ELSE @VCC END
	AND (
		[Name] = @Name 
		OR
		[IntentId] = @Name
		)
	
	SET NOCOUNT OFF
END
GO
PRINT N'Update complete.';


GO